SigPolicyQualifierInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class SigPolicyQualifierInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.SigPolicyQualifierInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SigPolicyQualifierInfo
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SigPolicyQualifierInfo(ASN1ObjectIdentifier sigPolicyQualifierId, ASN1Encodable sigQualifier)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SigPolicyQualifierInfo` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier` | `getSigPolicyQualifierId()`
    `ASN1Encodable` | `getSigQualifier()`
    `ASN1Primitive` | `toASN1Primitive()` SigPolicyQualifierInfo ::= SEQUENCE { sigPolicyQualifierId SigPolicyQualifierId, sigQualifier ANY DEFINED BY sigPolicyQualifierId } SigPolicyQualifierId ::= OBJECT IDENTIFIER

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SigPolicyQualifierInfo

          public SigPolicyQualifierInfo(ASN1ObjectIdentifier sigPolicyQualifierId,
                                        ASN1Encodable sigQualifier)

  - ### Method Detail

    - #### getInstance

          public static SigPolicyQualifierInfo getInstance(java.lang.Object obj)

    - #### getSigPolicyQualifierId

          public ASN1ObjectIdentifier getSigPolicyQualifierId()

    - #### getSigQualifier

          public ASN1Encodable getSigQualifier()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           SigPolicyQualifierInfo ::= SEQUENCE {
              sigPolicyQualifierId SigPolicyQualifierId,
              sigQualifier ANY DEFINED BY sigPolicyQualifierId }

           SigPolicyQualifierId ::= OBJECT IDENTIFIER

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.